> For the complete documentation index, see [llms.txt](https://developers.citrusad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.citrusad.com/integration/reference/create-or-update-a-catalog.md).

# Create or update a catalog

{% hint style="info" %}
Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view [this page](https://help.citrusad.com/retail-media-interface/integration/integration/create-or-update-a-catalog) in the new Integration APIs space of our documentation.
{% endhint %}

## POST /catalogs

> Create or update a catalog

```json
{"openapi":"3.1.0","info":{"title":"integration","version":"1"},"servers":[{"url":"https://integration-BASE-URL.citrusad.com/v1/"}],"security":[{"sec0":[]}],"components":{"securitySchemes":{"sec0":{"in":"header","name":"Authorization","type":"apiKey"}}},"paths":{"/catalogs":{"post":{"deprecated":false,"description":"","operationId":"create-or-update-a-catalog","requestBody":{"content":{"application/json":{"schema":{"properties":{"catalogs":{"items":{"properties":{"id":{"description":"Omit if creating a new catalogId.","type":"string"},"name":{"description":"The name of the catalog","type":"string"},"teamId":{"type":"string"}},"required":["name"],"type":"object"},"type":"array"}},"type":"object"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"catalogs":{"items":{"properties":{"id":{"type":"string"},"name":{"type":"string"},"teamId":{"type":"string"}},"type":"object"},"type":"array"}},"type":"object"}}},"description":"200"},"400":{"content":{"application/json":{"schema":{"properties":{"additionalInfo":{"items":{"properties":{"code":{"type":"string"},"message":{"type":"string"}},"type":"object"},"type":"array"},"message":{"type":"string"}},"type":"object"}}},"description":"400"},"401":{"content":{"text/plain":{}},"description":"401"},"403":{"content":{"text/plain":{}},"description":"403"},"404":{"content":{"text/plain":{}},"description":"404"},"429":{"content":{"text/plain":{}},"description":"429"},"500":{"content":{"text/plain":{}},"description":"500"},"502":{"content":{"text/plain":{}},"description":"502"},"503":{"content":{"text/plain":{}},"description":"503"},"504":{"content":{"text/plain":{}},"description":"504"}},"summary":"Create or update a catalog"}}}}
```
